#include<iostream>
#include<vector>
using namespace std;

int main()
{
    ios::sync_with_stdio(0);cin.tie(0);
    string T, S;
    int broja=0,brojz=0;
    getline(cin, T);
    char c = 42;
    cin >> S;

    if(S == "a")
    {
        for(int i = 0; i < T.length(); i++)
            if(T[i] == 'a')
            {
                T[i] = c;
                brojz++;
            }
        cout << brojz << "\n" << T;
        return 0;
    }
    bool samoa = true;
    for(int i = 0; i < S.length(); i++)
        if(S[i] != 'a') samoa = false;
    if(samoa)
    {
        for(int i = 0; i < T.length(); i++)
        {
            if(T[i] == 'a')
            {
                if(broja++ < S.length()-1)
                    continue;
                T[i] = c;
                brojz++;
            }
        }
        cout << brojz << "\n" << T;
        return 0;
    }
    if(S == "ab")
    {
        int brojb=0;
        vector<int> pozicijea, pozicijeb;
        for(int i = 0; i < T.length(); i++)
        {
            if(T[i] == 'a')
            {
                pozicijea.push_back(i);
                broja++;
            }else if(T[i] == 'b')
            {
                pozicijeb.push_back(i);
                brojb++;
            }
        }
        if(broja <= brojb)
        {
            for(int i = 0; i < pozicijea.size(); i++)
            {
                bool obrisi = false;
                for(int j = 0; j < pozicijeb.size(); j++)
                {
                    if(pozicijea[i] < pozicijeb[j]) obrisi = true;
                }
                if(obrisi) {T[pozicijea[i]] = c;brojz++;}
            }
        }
        if(broja > brojb)
        {

            for(int i = 0; i < pozicijeb.size(); i++)
            {
                bool obrisi = false;
                for(int j = 0; j < pozicijea.size(); j++)
                {
                    if(pozicijeb[i] > pozicijea[j]) obrisi = true;
                }
                if(obrisi) {T[pozicijeb[i]] = c;brojz++;}
            }
        }
        cout << brojz << "\n" << T;
    }

}